Get Alert Config

GET https://api.podengine.ai/api/v1/alerts/alert-config/:alertConfigId

Get a single alert configuration by ID.

Request

Path parameters

alertConfigIdstringrequired

ID of the alert configuration.

Response

200 application/json
statusliteral: OKrequired
dataobjectrequired1 field
alertConfigobjectrequired12 fields
idstringrequired
createdByUserIdstringrequired
teamIdstringrequired
createdAtdaterequired
updatedAtdaterequired
alertNamestringrequired
alertTypeenumrequired
personcompanycustom-keyword
enabledbooleanrequired
alertSettingsintersectionrequired
emailSettingsobjectrequired1 field
frequencyenumrequired

How often alert email notifications should be sent.

hourlydailyweekly
lastRunDatedaterequirednullable
subjectNoteCheckobjectnullable2 fields

Person and company alerts: the note check of the "Who is this?" note this alert uses. Null when there is no note.

statusenumrequired

passed: matches are checked for the right person or company. failed: see missing. pending: not checked yet.

passedfailedpending
missingstringrequirednullable

When the check failed, what the note needs to tell them apart, e.g. "Add their role or company."